> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Secret



## OpenAPI

````yaml get /v1/secrets/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/secrets/{id}:
    get:
      summary: Get a Secret
      operationId: Secrets_get
      parameters:
        - name: id
          in: path
          description: The id of the project secret to retrieve.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The secret metadata.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Secret'
        '400':
          description: Invalid secret ID. The ID must be a UUID.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                required:
                  - statusCode
                  - error
                  - message
        '404':
          description: The secret does not exist in the project.
          content:
            application/json:
              schema:
                type: object
                properties:
                  statusCode:
                    description: HTTP status code
                    type: integer
                  error:
                    description: HTTP error name
                    type: string
                  message:
                    description: Human-readable error message
                    type: string
                required:
                  - statusCode
                  - error
                  - message
components:
  schemas:
    Secret:
      type: object
      properties:
        id:
          description: Unique identifier of the secret.
          type: string
        secretKey:
          description: The name the secret value is stored under.
          type: string
      required:
        - id
        - secretKey
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````